%%
%% Customizações do abnTeX2 (http://abnTeX2.googlecode.com) para a Universidade Federal de Viçosa
%%
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%   http://www.latex-project.org/lppl.txt
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%%
%% This work has the LPPL maintenance status `maintained'.
%%
%% The Current Maintainer of this work is Rodrigo Smarzaro (smarzaro@ufv.br)
%%
%% Further information about abnTeX2 are available on http://abntex2.googlecode.com/
%%
%
% ---
% INICIO DAS CUSTOMIZACOES PARA A UNIVERSIDADE FEDERAL DE VIÇOSA
% ---
\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesPackage{abntex2-UFV}[2014/04/07 v0.1 AbnTeX2-UFV]

% Ajusta as margens
\setlrmarginsandblock{3cm}{2cm}{*}
\setulmarginsandblock{3cm}{2cm}{*}
\checkandfixthelayout

% Ajusta identação do parágrafo
\setlength{\parindent}{1.3cm}

% Ajusta o espaçamento entre um parágrafo e outro
\setlength{\parskip}{0.2cm}  % tente também \onelineskip

\providecommand{\imprimircampus}{}
\newcommand{\campus}[1]{\renewcommand{\imprimircampus}{#1}}

\providecommand{\imprimirej}{}
\newcommand{\ej}[1]{\renewcommand{\imprimirej}{empresa j\'unior #1}}

\providecommand{\imprimircurso}{}
\newcommand{\curso}[1]{\renewcommand{\imprimircurso}{#1}}

%\providecommand{\imprimirbrasao}{}
\newcommand{\brasao}[1]{\backgroundsetup{%
  scale=2.5,
  angle=0,
  opacity=.2,
  color=black,
  contents={\begin{tikzpicture}[remember picture,overlay]
        \node at ([yshift=3.5pt,xshift=5pt]current page.center) % deslocamento da marca d'água na página
        {\includegraphics[width=5cm]{#1}}; % caminho para a imagem da marca d'água
    \end{tikzpicture}}
}}

\providecommand{\inseririmagem}[6][.5\linewidth]{
\begin{figure}[htbp]	%[htbp]
  \begin{center}
  \includegraphics[width=#1]{#2}\\
  \caption[#3]{#4}
  \label{#5}
  \end{center}
  \abntex@ifnotempty{#6}{\legend{#6}}
\end{figure}}


% alterando a capa
\renewcommand{\imprimircapa}{%
  \begin{capa}%
    \center
    %\imprimirbrasao
    {\large \MakeUppercase{\imprimirinstituicao}}
    \par
    {\large \MakeUppercase{\imprimircampus}}
    \par
    \abntex@ifnotempty{\imprimircurso}{%
       {\large \MakeUppercase{\imprimircurso}}
    }%
    \par
    {\large \MakeUppercase{\imprimirej}}
    \vspace*{3cm}

    {\large \MakeUppercase{\imprimirautor}}

    \vspace*{\fill}
    {\bfseries\large \MakeUppercase{\imprimirtitulo}}
    \vspace*{\fill}
    \par
    {\large\MakeUppercase{\imprimirlocal}}
    \par
    {\large\imprimirdata}
    \vspace*{1cm}
  \end{capa}
}


% folha de rosto

\makeatletter

\renewcommand{\folhaderostocontent}{
\begin{center}
{\large\MakeUppercase{\imprimirautor}}
\vspace*{1cm}

\vspace*{\fill}\vspace*{\fill}

{\large\MakeUppercase{\imprimirtitulo}}

\vspace*{\fill}

\abntex@ifnotempty{\imprimirpreambulo}{%
  \hspace{.45\textwidth}
  \begin{minipage}{.5\textwidth}
  \SingleSpacing
  \imprimirpreambulo

  \smallskip
  {\imprimirorientadorRotulo~\imprimirorientador\par}

  \smallskip
  \abntex@ifnotempty{\imprimircoorientador}{%
    {\imprimircoorientadorRotulo~\imprimircoorientador}%
  }%

  \end{minipage}%
  \vspace*{\fill}
}%
    \vspace*{\fill}
    \par
    {\large\MakeUppercase{\imprimirlocal}}
    \par
    {\large\imprimirdata}
    \vspace*{1cm}
\end{center}
}

\makeatother


\providecommand{\imprimirorientadorsiglainst}{}
\renewcommand{\orientador}[2][UFV-CRP]{\renewcommand{\imprimirorientador}{#2}\renewcommand{\imprimirorientadorsiglainst}{#1}}
\renewcommand{\imprimirorientadorRotulo}{\orientadorname}


\providecommand{\imprimirmembrobancaA}{}
\providecommand{\imprimirmembrobancaAsiglainst}{}
\newcommand{\membrobancaA}[2][UFV-CRP]{
   \renewcommand{\imprimirmembrobancaA}{#2}
   \renewcommand{\imprimirmembrobancaAsiglainst}{#1}
}


\providecommand{\imprimirmembrobancaB}{}
\providecommand{\imprimirmembrobancaBsiglainst}{}
\newcommand{\membrobancaB}[2][UFV-CRP]{\renewcommand{\imprimirmembrobancaB}{#2}\renewcommand{\imprimirmembrobancaBsiglainst}{#1}}

\providecommand{\imprimirdatabanca}{}
\newcommand{\databanca}[1]{\renewcommand{\imprimirdatabanca}{#1}}


\makeatletter
\newcommand{\imprimirfolhadeaprovacao}{
\begin{folhadeaprovacao}

  \begin{center}
    {\large\MakeUppercase{\imprimirautor}}

    \vspace*{\fill}\vspace*{\fill}
    {\bfseries\large\MakeUppercase{\imprimirtitulo}}
    \vspace*{\fill}

    \hspace{.45\textwidth}
    \begin{minipage}{.5\textwidth}
        \imprimirpreambulo
    \end{minipage}%
    \vspace*{\fill}
   \end{center}
   APROVADA EM: \imprimirdatabanca

   \assinatura{\textbf{\imprimirorientador} \\ Orientador \\ \imprimirorientadorsiglainst}

   \abntex@ifnotempty{\imprimirmembrobancaA}{%
   \assinatura{\textbf{\imprimirmembrobancaA} \\ \imprimirmembrobancaAsiglainst}
   }%
   \abntex@ifnotempty{\imprimirmembrobancaB}{%
   \assinatura{\textbf{\imprimirmembrobancaB} \\ \imprimirmembrobancaBsiglainst}
   }%
   \begin{center}
    \vspace*{\fill}
    \par
    {\large\MakeUppercase{\imprimirlocal}}
    \par
    {\large\imprimirdata}
    \vspace*{1cm}
  \end{center}
\end{folhadeaprovacao}
}
\makeatother

% ---
% FIM DAS CUSTOMIZACOES PARA A UNIVERSIDADE FEDERAL DE VIÇOSA
% ---
